Skip to main content
PATCH
/
destinations
/
{destination_id}
Update destination
curl --request PATCH \
  --url https://api.prequel.co/destinations/{destination_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "destination": {
    "name": "<string>",
    "frequency_minutes": 123,
    "enabled_models": [
      "<string>"
    ],
    "max_concurrent_transfers": 123,
    "max_concurrent_queries_per_transfer": 123,
    "is_enabled": true,
    "abs": {
      "folder": "<string>",
      "container_name": "<string>",
      "storage_account_name": "<string>",
      "auth_method": "azure_service_shared_access_signature",
      "azure_service_shared_access_signature": {
        "shared_access_signature_token": "<string>"
      },
      "disable_manifest": false
    },
    "athena": {
      "workgroup": "<string>",
      "connection_database": "<string>",
      "write_database": "<string>",
      "aws_access_keys": {
        "access_id": "<string>",
        "secret_key": "<string>"
      },
      "bucket_s3": {
        "bucket_name": "<string>",
        "bucket_region": "<string>"
      }
    },
    "aurora_mysql": {
      "host": "<string>",
      "port": 123,
      "connection_database": "<string>",
      "write_database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    },
    "aurora_postgres": {
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "schema": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true,
      "connection_timeout_in_seconds": 1
    },
    "clickhouse": {
      "host": "<string>",
      "port": 123,
      "cluster": "<string>",
      "connection_database": "<string>",
      "write_database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "bucket_s3": {
        "bucket_name": "<string>",
        "bucket_region": "<string>",
        "aws_access_keys": {
          "access_id": "<string>",
          "secret_key": "<string>"
        }
      },
      "bucket_gcs": {
        "bucket_name": "<string>",
        "gcs_hmac_keys": {
          "access_key": "<string>",
          "secret": "<string>"
        }
      },
      "disable_ssl": true
    },
    "databricks": {
      "host": "<string>",
      "port": 123,
      "schema": "<string>",
      "catalog": "<string>",
      "http_path": "<string>",
      "oauth_client_secret_auth": {
        "client_id": "<string>",
        "client_secret": "<string>"
      },
      "hive": {
        "bucket_vendor": "bucket_s3",
        "bucket_s3": {
          "bucket_name": "<string>",
          "bucket_region": "<string>",
          "aws_access_keys": {
            "access_id": "<string>",
            "secret_key": "<string>"
          }
        }
      },
      "use_ssh_tunnel": true
    },
    "delta_lake": {
      "bucket_abs": {
        "storage_account_name": "<string>",
        "bucket_auth_method": "azure_storage_account_access_key",
        "azure_storage_account_access_key": {
          "storage_account_access_key": "<string>"
        }
      },
      "bucket_gcs": {
        "gcp_service_account_role": {
          "service_account_email": "jsmith@example.com"
        },
        "gcp_service_account_key": {
          "service_account_email": "service-account-name@project-id.iam.gserviceaccount.com",
          "service_account_key": "<unknown>"
        }
      },
      "bucket_s3_compatible": {
        "disable_ssl": true,
        "bucket_auth_method": "access_keys",
        "access_keys": {
          "access_id": "<string>",
          "secret_key": "<string>"
        }
      },
      "retention_window_days": 7,
      "column_mapping_mode": "none",
      "deletion_vectors_disabled": false,
      "change_data_feed_disabled": false
    },
    "gcs": {
      "disable_manifest": false,
      "folder": "<string>",
      "gcp_service_account_role": {
        "service_account_email": "jsmith@example.com"
      },
      "gcs_hmac_keys": {
        "access_key": "<string>",
        "secret": "<string>"
      },
      "bucket_name": "<string>"
    },
    "google_sheets": {
      "host": "<string>"
    },
    "iceberg": {
      "catalog_iceberg_rest": {
        "oauth_bearer_token_auth": {
          "password": "<string>"
        },
        "oauth_client_secret_auth": {
          "client_id": "<string>",
          "client_secret": "<string>"
        },
        "storage_options": {
          "bucket_gcs": {
            "bucket_auth_method": "<unknown>",
            "gcp_service_account_role": {
              "service_account_email": "service-account-name@project-id.iam.gserviceaccount.com"
            },
            "bucket_name": "<string>",
            "folder": "<string>"
          },
          "bucket_s3": {
            "bucket_auth_method": "<unknown>",
            "aws_iam_role": {
              "aws_iam_role_arn": "arn:aws:iam::123456789012:role/service-role/role-name"
            },
            "bucket_name": "<string>",
            "bucket_region": "<string>",
            "folder": "<string>"
          }
        },
        "namespace": "<string>",
        "warehouse": "<string>"
      },
      "catalog_glue": {
        "storage_options": {
          "bucket_s3": {
            "bucket_auth_method": "<unknown>",
            "aws_iam_role": {
              "aws_iam_role_arn": "arn:aws:iam::123456789012:role/service-role/role-name"
            },
            "bucket_name": "<string>",
            "bucket_region": "<string>",
            "folder": "<string>"
          }
        },
        "database": "<string>"
      },
      "catalog_s3_tables": {
        "storage_options": {
          "bucket_s3": {
            "bucket_auth_method": "<unknown>",
            "aws_iam_role": {
              "aws_iam_role_arn": "arn:aws:iam::123456789012:role/service-role/role-name"
            },
            "bucket_name": "<string>",
            "bucket_region": "<string>",
            "folder": "<string>"
          }
        },
        "database": "<string>",
        "table_bucket_arn": "<string>"
      },
      "catalog_google_lakehouse": {
        "project_id": "<string>",
        "catalog_name": "<string>",
        "schema": "<string>",
        "bucket_name": "<string>",
        "gcp_service_account_role": {
          "service_account_email": "jsmith@example.com"
        },
        "gcp_service_account_key": {
          "service_account_email": "service-account-name@project-id.iam.gserviceaccount.com",
          "service_account_key": "<unknown>"
        }
      },
      "retention_window_days": 7
    },
    "mongodb": {
      "host": "<string>",
      "port": 27017,
      "authentication_database": "<string>",
      "write_database": "<string>",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    },
    "motherduck": {
      "database": "<string>",
      "schema": "<string>",
      "auth_method": "access_token_auth"
    },
    "mysql": {
      "host": "<string>",
      "port": 123,
      "connection_database": "<string>",
      "write_database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    },
    "oracle": {
      "ssl_options": {
        "wallet": "<string>"
      },
      "disable_ssl": "<unknown>",
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "schema": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true
    },
    "planetscale": {
      "host": "<string>",
      "port": 123,
      "connection_database": "<string>",
      "write_database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    },
    "postgres": {
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "schema": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true,
      "connection_timeout_in_seconds": 1
    },
    "sftp": {
      "username": "<string>",
      "host": "<string>",
      "port": 123,
      "folder": "<string>",
      "auth_method": "public_key_auth",
      "public_key_auth": {
        "public_key": "<string>"
      }
    },
    "singlestore": {
      "host": "<string>",
      "port": 123,
      "connection_database": "<string>",
      "write_database": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true
    },
    "snowflake": {
      "username": "<string>",
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "schema": "<string>"
    },
    "sql_server": {
      "host": "<string>",
      "port": 123,
      "database": "<string>",
      "schema": "<string>",
      "auth_method": "password_auth",
      "password_auth": {
        "username": "<string>",
        "password": "<string>"
      },
      "use_ssh_tunnel": true,
      "disable_ssl": true,
      "primary_key_collation": "<string>"
    },
    "s3": {
      "disable_manifest": false,
      "folder": "<string>",
      "aws_access_keys": {
        "access_id": "<string>",
        "secret_key": "<string>"
      },
      "bucket_name": "<string>",
      "bucket_region": "<string>",
      "use_ssh_tunnel": true
    },
    "machine_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
'
{
  "status": "<string>",
  "data": {
    "destination": {
      "abs": {
        "folder": "<string>",
        "container_name": "<string>",
        "auth_method": "<string>",
        "storage_account_name": "<string>",
        "disable_manifest": true,
        "csv": {
          "delimiter": "<string>"
        }
      },
      "id": "<string>",
      "vendor": "<string>",
      "name": "<string>",
      "recipient_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "last_successful_transfer_ended_at": "2023-11-07T05:31:56Z",
      "frequency_minutes": 123,
      "id_in_provider_system": "<string>",
      "products": [
        "<string>"
      ],
      "enabled_models": [
        "<string>"
      ],
      "max_concurrent_transfers": 123,
      "max_concurrent_queries_per_transfer": 123,
      "is_enabled": true,
      "last_completed_transfer": {
        "id": "<string>",
        "status": "<string>",
        "is_full_refresh": true,
        "models": [
          "<string>"
        ],
        "log": "<string>",
        "submitted_at": "2023-11-07T05:31:56Z",
        "start_transfer_window_at": "2023-11-07T05:31:56Z",
        "end_transfer_window_at": "2023-11-07T05:31:56Z",
        "rows_transferred": 123,
        "delta_rows_transferred": 123,
        "volume_transferred_in_mb": 123,
        "is_debug_mode": true,
        "actor_id": "<string>",
        "actor_type": "<string>",
        "source_ids": [
          "<string>"
        ],
        "destination_id": "<string>",
        "model_metrics": [
          {
            "model_id": "<string>",
            "rows_transferred": 123,
            "delta_rows_transferred": 123,
            "volume_transferred_in_mb": 123,
            "start_transfer_window_at": "2023-11-07T05:31:56Z",
            "end_transfer_window_at": "2023-11-07T05:31:56Z",
            "most_recent_last_updated_at": "2023-11-07T05:31:56Z",
            "error": {
              "error": "<unknown>",
              "error_code": "<string>",
              "title": "<string>",
              "blame": "<string>",
              "documentation_url": "<string>",
              "trace": "<string>",
              "message": "<string>"
            },
            "model_name": "<string>"
          }
        ],
        "models_snapshot": [
          {
            "model_id": "<string>",
            "model_name": "<string>",
            "revision_id": "<string>"
          }
        ],
        "started_at": "2023-11-07T05:31:56Z",
        "ended_at": "2023-11-07T05:31:56Z",
        "tags": {}
      },
      "total_rows_transferred_last_billing_period": 123,
      "total_delta_rows_transferred_last_billing_period": 123,
      "total_rows_transferred_current_billing_period": 123
    }
  },
  "message": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

destination_id
string
required

Destination ID.

Body

application/json
destination
object
required

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required